org.encog.neural.neat

## Class NEATUtil

- java.lang.Object
- - org.encog.neural.neat.NEATUtil

-     public class NEATUtil
      extends Object

  NEAT does not make use of a special trainer. Typically the generic TrainEA trainer is used. This utility class creates a NEAT compatible TrainEA class. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NEATUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrainEA` | `constructNEATTrainer(CalculateScore calculateScore, int inputCount, int outputCount, int populationSize)`
    `static TrainEA` | `constructNEATTrainer(NEATPopulation population, CalculateScore calculateScore)` Construct a NEAT (or HyperNEAT trainer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NEATUtil

          public NEATUtil()

  - ### Method Detail

    - #### constructNEATTrainer

          public static TrainEA constructNEATTrainer(CalculateScore calculateScore,
                                     int inputCount,
                                     int outputCount,
                                     int populationSize)

    - #### constructNEATTrainer

          public static TrainEA constructNEATTrainer(NEATPopulation population,
                                     CalculateScore calculateScore)

      Construct a NEAT (or HyperNEAT trainer.
      Parameters:
        `population` - The population.
        `calculateScore` - The score function.
      Returns:
        The NEAT EA trainer.

Copyright © 2014. All Rights Reserved.